Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations

SNSEmailTestConnection

SNSEmailTestConnection

POST/zstack/v1/sns/application-endpoints/email/test-connection

Operation ID

SNSEmailTestConnection

Since

5.1.8

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • emails
      List

      Optional. The email addresses.

    • platformUuid
      String

      Optional. The email platform UUID.

    • endpointUuid
      String

      Optional. The email endpoint UUID.

    • subject
      String

      Optional. The subject.

    • text
      String

      Optional. The text.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • connected
    booleanRequired

    The test text sending result.

  • webhookResp
    LinkedHashMapRequired

    The response from the endpoint.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.